Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractAttr

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractAttr

All Implemented Interfaces:
  org.w3c.dom.Attr, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

Direct Known Subclasses:
  AbstractAttrNS, GenericAttr

public abstract class AbstractAttr
extends AbstractParentNode
implements org.w3c.dom.Attr

This class implements the `Attr` interface.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected java.lang.String` | `nodeName` The name of this node.
`protected AbstractElement` | `ownerElement` The owner element.
`protected boolean` | `unspecified` Whether this attribute was not specified in the original document.

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `AbstractAttr()` Creates a new Attr object.
`protected` | `AbstractAttr(java.lang.String name, AbstractDocument owner)` Creates a new Attr object.

Method Summary
`protected void` | `checkChildType(org.w3c.dom.Node n, boolean replace)` Checks the validity of a node to be inserted.
`protected org.w3c.dom.Node` | `copyInto(org.w3c.dom.Node n)` Copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` | `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` | `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected org.w3c.dom.Node` | `export(org.w3c.dom.Node n, AbstractDocument d)` Exports this node to the given document.
`protected void` | `fireDOMSubtreeModifiedEvent()` Fires a DOMSubtreeModified event.
`java.lang.String` | `getName()` DOM: Implements `Attr.getName()`.
`java.lang.String` | `getNodeName()` DOM: Implements `Node.getNodeName()`.
`short` | `getNodeType()` DOM: Implements `Node.getNodeType()`.
`java.lang.String` | `getNodeValue()` DOM: Implements `Node.getNodeValue()`.
`org.w3c.dom.Element` | `getOwnerElement()` DOM: Implements `Attr.getOwnerElement()`.
`boolean` | `getSpecified()` DOM: Implements `Attr.getSpecified()`.
`java.lang.String` | `getValue()` DOM: Implements `Attr.getValue()`.
`protected void` | `nodeAdded(org.w3c.dom.Node n)` Called when a child node has been added.
`protected void` | `nodeToBeRemoved(org.w3c.dom.Node n)` Called when a child node is going to be removed.
`void` | `setNodeName(java.lang.String v)` Sets the node name.
`void` | `setNodeValue(java.lang.String nodeValue)` DOM: Implements `Node.setNodeValue(String)`.
`void` | `setOwnerElement(AbstractElement v)` Sets the owner element.
`void` | `setSpecified(boolean v)` Sets the specified attribute.
`void` | `setValue(java.lang.String value)` DOM: Implements `Attr.setValue(String)`.

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, hasChildNodes, insertBefore, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, getAttributes, getCurrentDocument, getEventSupport, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, hasAttributes, isSupported, newNode, removeEventListener, setNextSibling, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Field Detail

### nodeName

    protected java.lang.String nodeName

  The name of this node.

### unspecified

    protected boolean unspecified

  Whether this attribute was not specified in the original document.

### ownerElement

    protected AbstractElement ownerElement

  The owner element.

Constructor Detail

### AbstractAttr

    protected AbstractAttr()

  Creates a new Attr object.

### AbstractAttr

    protected AbstractAttr(java.lang.String name,
                           AbstractDocument owner)
                    throws org.w3c.dom.DOMException

  Creates a new Attr object.

Parameters:
  `name` - The attribute name for validation purposes.
  `owner` - The owner document.
Throws:
  `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: if name contains invalid characters,

Method Detail

### setNodeName

    public void setNodeName(java.lang.String v)

  Sets the node name.

  Specified by:
    `setNodeName` in interface `ExtendedNode`
  Overrides:
    `setNodeName` in class `AbstractNode`

### getNodeName

    public java.lang.String getNodeName()

  DOM: Implements `Node.getNodeName()`.

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Returns:
    `nodeName`.

### getNodeType

    public short getNodeType()

  DOM: Implements `Node.getNodeType()`.

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Returns:
    `Node.ATTRIBUTE_NODE`

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  DOM: Implements `Node.getNodeValue()`.

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `AbstractNode`
  Returns:
    The content of the attribute.
  Throws:
    `org.w3c.dom.DOMException`

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  DOM: Implements `Node.setNodeValue(String)`.

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `setNodeValue` in class `AbstractNode`
  Throws:
    `org.w3c.dom.DOMException`

### getName

    public java.lang.String getName()

  DOM: Implements `Attr.getName()`.

  Specified by:
    `getName` in interface `org.w3c.dom.Attr`
  Returns:
    `getNodeName()`.

### getSpecified

    public boolean getSpecified()

  DOM: Implements `Attr.getSpecified()`.

  Specified by:
    `getSpecified` in interface `org.w3c.dom.Attr`
  Returns:
    !`unspecified`.

### setSpecified

    public void setSpecified(boolean v)

  Sets the specified attribute.

  Specified by:
    `setSpecified` in interface `ExtendedNode`
  Overrides:
    `setSpecified` in class `AbstractNode`

### getValue

    public java.lang.String getValue()

  DOM: Implements `Attr.getValue()`.

  Specified by:
    `getValue` in interface `org.w3c.dom.Attr`
  Returns:
    `getNodeValue()`.

### setValue

    public void setValue(java.lang.String value)
                  throws org.w3c.dom.DOMException

  DOM: Implements `Attr.setValue(String)`.

  Specified by:
    `setValue` in interface `org.w3c.dom.Attr`
  Throws:
    `org.w3c.dom.DOMException`

### setOwnerElement

    public void setOwnerElement(AbstractElement v)

  Sets the owner element.

### getOwnerElement

    public org.w3c.dom.Element getOwnerElement()

  DOM: Implements `Attr.getOwnerElement()`.

  Specified by:
    `getOwnerElement` in interface `org.w3c.dom.Attr`

### nodeAdded

    protected void nodeAdded(org.w3c.dom.Node n)

  Called when a child node has been added.

  Overrides:
    `nodeAdded` in class `AbstractParentNode`

### nodeToBeRemoved

    protected void nodeToBeRemoved(org.w3c.dom.Node n)

  Called when a child node is going to be removed.

  Overrides:
    `nodeToBeRemoved` in class `AbstractParentNode`

### export

    protected org.w3c.dom.Node export(org.w3c.dom.Node n,
                                      AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractNode`

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractParentNode`

### copyInto

    protected org.w3c.dom.Node copyInto(org.w3c.dom.Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractParentNode`
  Parameters:
    `n` - a node of the type of this.

### checkChildType

    protected void checkChildType(org.w3c.dom.Node n,
                                  boolean replace)

  Checks the validity of a node to be inserted.

  Overrides:
    `checkChildType` in class `AbstractNode`

### fireDOMSubtreeModifiedEvent

    protected void fireDOMSubtreeModifiedEvent()

  Fires a DOMSubtreeModified event.

  Overrides:
    `fireDOMSubtreeModifiedEvent` in class `AbstractParentNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.